import type { Account } from "./account";

export default interface Activity {
	id: string;
	account: Account;
	akkoma?: ActivityAkkoma;
	created_at: string;

	content: string | null;
	spoiler_text: string | null;
	visibility: "public" | "unlisted" | "private" | "direct";

	reblogs_count: number;
	favourites_count: number;
	replies_count: number;
}

export interface ActivityAkkoma {
	source: ActivityAkkomaSource;
}

export interface ActivityAkkomaSource {
	content: string;
	mediaType: string;
}
